Package org.pushingpixels.substance.api

# Class SubstanceConstants

java.lang.Object
org.pushingpixels.substance.api.SubstanceConstants

public class SubstanceConstants extends Object
Substance constants.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SubstanceConstants.FocusKind`
Enumerates focus indication kinds.
`static enum`
`SubstanceConstants.ImageWatermarkKind`
Enumerates of image-based watermarks kinds.
`static enum`
`SubstanceConstants.MenuGutterFillKind`
Enumerates possible values for menu gutter fill kind.
`static enum`
`SubstanceConstants.ScrollPaneButtonPolicyKind`
Enumerates possible button policies for scroll panes.
`static enum`
`SubstanceConstants.Side`
Enumerates available sides.
`static enum`
`SubstanceConstants.SubstanceWidgetType`
Enumerates configurable Substance-specific widget types for `SubstanceLookAndFeel.setWidgetVisible(javax.swing.JRootPane, boolean, org.pushingpixels.substance.api.SubstanceConstants.SubstanceWidgetType...)` API.
`static enum`
`SubstanceConstants.TabCloseKind`
Enumerates possible modes of closing tabs.
`static enum`
`SubstanceConstants.TabContentPaneBorderKind`
Tab content pane border kind.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceConstants

public SubstanceConstants()